Package org.eclipse.mat.report

# Interface IOutputter

All Known Implementing Classes:
  `CSVOutputter`, `HtmlOutputter`, `HtmlPieChartRenderer`, `OutputterBase`, `TextOutputter`

public interface IOutputter
Converts a result to a report. See extension point org.eclipse.mat.report.renderer

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`IOutputter.Context`
Holds information which controls how to format a report.

## Method Summary

Modifier and Type
Method
Description
`void`
`embedd(IOutputter.Context context, IResult result, Writer writer)`
Add this result to the output.
`void`
`process(IOutputter.Context context, IResult result, Writer writer)`
Write this result to the output, presuming the writer has just been opened.

## Method Details

### embedd

void embedd(IOutputter.Context context, IResult result, Writer writer) throws IOException
Add this result to the output.

Parameters:
  `context` - the context, which controls how the output should be done
  `result` - the result to be formatted
  `writer` - where the formatted output should go
Throws:
  `IOException` - if something went wrong writing this result

### process

void process(IOutputter.Context context, IResult result, Writer writer) throws IOException
Write this result to the output, presuming the writer has just been opened.

Parameters:
  `context` - the context, which controls how the output should be done
  `result` - the result to be formatted
  `writer` - where the formatted output should go
Throws:
  `IOException` - if something went wrong writing this result